require 'blender/drivers/serf'
require 'blender/tasks/serf'

module Helper
  def create_serf_task(name)
    Blender::Task::Serf.new(name).tap do |t|
      t.query 'test-query'
      t.payload 'test-payload'
    end
  end
end

RSpec.configure do |config|
  config.include Helper
  config.mock_with :rspec do |mocks|
    mocks.verify_doubled_constant_names = true
  end
  config.backtrace_exclusion_patterns = []
end
