# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'blender-serf'
  spec.version       = '0.2.0'
  spec.authors       = ['Ranjib Dey']
  spec.email         = ['ranjib@pagerduty.com']
  spec.summary       = %q{Serf backend for blender}
  spec.description   = %q{Discover and execute tasks using serf}
  spec.homepage      = 'http://github.com/PagerDuty/blender-serf'
  spec.license       = 'Apache 2'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'pd-blender'
  spec.add_dependency 'serfx'
  spec.add_dependency 'retriable'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'yard'
  spec.add_development_dependency 'pry'
end
